#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t,n,k,i;
    long long int m;
    scanf("%d",&t);
    string o[t];
    for(i=0;i<t;i++)
    {
        scanf("%d %lld %d",&n,&m,&k);
        if(k*(n/k)*(n/k+1)/2+(n/k+1)*(n-(n/k)*k)<=m)
        {
            o[i]="Tak";
        }
        else
        {
            o[i]="Nai";
        }
    }
    for(i=0;i<t;i++)
    {
        cout<<o[i]<<endl;
    }
    return 0;
}